<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<ng-container *appSideMenu="'top'; title: 'details.sideMenu.title' | translate">
  <app-action-button
    [appDisabled]="appLoading"
    [appIcon]="'home'"
    [appRouterLink]="'/'"
    class="side-menu-button openk-info">
    {{'details.sideMenu.backToDashboard' | translate}}
  </app-action-button>

  <span *ngIf="appIsStatementCanceled === true" class="info-container">
    {{'details.sideMenu.deletedStatement' | translate}}
  </span>

  <app-action-button
    [appDisabled]="appLoading"
    [appIcon]="'book'"
    [appRouterLink]="'/history'"
    [appStatementId]="appStatementId"
    [appNewTab]="true"
    class="side-menu-button openk-info">
    {{"history.buttonText" | translate}}
  </app-action-button>
</ng-container>

<ng-container *ngIf="!appIsStatementCanceled">
  <ng-container *appSideMenu="'bottom'">

    <app-action-button
      (appClick)="emitUnclaim()"
      *ngIf="isOfficialInCharge && taskAlreadyClaimed"
      [appDisabled]="appLoading"
      [appIcon]="'assignment_return'"
      class="side-menu-button openk-info">
      {{"details.sideMenu.unclaim" | translate}}
    </app-action-button>

    <app-action-button
      (appClick)="button.emit(button.task)"
      *ngFor="let button of buttonLayout"
      [appDisabled]="appLoading || button?.task?.assignee != null && appUserName !== button?.task?.assignee"
      [appIcon]="button.icon"
      [ngClass]="button.cssClass"
      class="side-menu-button">
      {{button.label | translate}}
    </app-action-button>

  </ng-container>
</ng-container>

<app-side-menu-status
  *appSideMenu="'center'"
  [appErrorMessage]="appErrorMessage"
  [appLoadingMessage]="'core.loading' | translate"
  [appLoading]="appLoading">

  <span *ngIf="appErrorMessage == null && infoMessage != null" class="info-message">
    {{infoMessage | translate}}
  </span>

</app-side-menu-status>
